Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020874
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-06-26 16:582012-06-28 08:34
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchFixed in SCM revision7ada3b41a87a
ProjectionnoneETAnoneTarget Version3.0MP13
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2012-05-03
Regression introduced in release
Regression introduced by commit
Triggers an Emergency Packyes
Summary

0020874: Down key navigation does not work in grid view if not all records have been loaded.

DescriptionIt is not possible to use the down key to move to the next record in the grid until all the records have been loaded from the datasource
Steps To Reproduce- Open the Country and Region window
- In the grid view, notice that you can move to the previous record by pressing the up arrow key, but you can not move to the next record by pressing the down arrow key.
- Scroll down until the last record is loaded.
- Notice that now you can use up and down arrow keys to move among the records
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0017910 closedmigueldejuana In grid of generated windows you can scroll out of the range of existing rows using cursor keys 

-  Notes
(0050098)
AugustoMauch (developer)
2012-06-26 17:05
edited on: 2012-06-26 17:06

This issue was not reproducible in MP7, thus it is a regression.

(0050100)
AugustoMauch (developer)
2012-06-26 17:18

This issue is reproducible in MP12 but not in MP11.
(0050188)
hgbot (developer)
2012-06-27 13:01

Repository: erp/devel/pi
Changeset: 7ada3b41a87a90d3b3f30ee3359c925e13db152d
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jun 27 13:00:29 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7ada3b41a87a90d3b3f30ee3359c925e13db152d [^]

Fixes issue 20874: Prevented exception when pushing the down arrow key

In the fix of issue 17910 some logic was introduced that checked the id of the last record of the grid. If that record was yet to be loaded, the exception 'Cannot read property from undefined' was raised.

Now, before executing that statement, it is checked if the last grid record is defined.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0050220)
hudsonbot (developer)
2012-06-28 07:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c66e853c5cf4 [^]

Maturity status: Test
(0050242)
alostale (developer)
2012-06-28 08:33

Code reviewed and verified in pi@db25f47ad0a4

Verified also 0017910 is still fixed

- Issue History
Date Modified Username Field Change
2012-06-26 16:58 AugustoMauch New Issue
2012-06-26 16:58 AugustoMauch Assigned To => AugustoMauch
2012-06-26 16:58 AugustoMauch Modules => Core
2012-06-26 17:05 AugustoMauch Note Added: 0050098
2012-06-26 17:06 AugustoMauch Note Edited: 0050098 View Revisions
2012-06-26 17:13 AugustoMauch Regression level => Production - QA Approved
2012-06-26 17:18 AugustoMauch Note Added: 0050100
2012-06-26 19:36 shuehner Issue Monitored: shuehner
2012-06-27 12:51 AugustoMauch Regression date => 2012-05-03
2012-06-27 12:51 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/d0ca61f83c8f11b99f93ba31eafa30919d52ea48 [^]
2012-06-27 12:51 AugustoMauch Relationship added related to 0017910
2012-06-27 13:01 hgbot Checkin
2012-06-27 13:01 hgbot Note Added: 0050188
2012-06-27 13:01 hgbot Status new => resolved
2012-06-27 13:01 hgbot Resolution open => fixed
2012-06-27 13:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7ada3b41a87a90d3b3f30ee3359c925e13db152d [^]
2012-06-28 07:59 hudsonbot Checkin
2012-06-28 07:59 hudsonbot Note Added: 0050220
2012-06-28 08:33 alostale Note Added: 0050242
2012-06-28 08:34 alostale Status resolved => closed
2012-06-28 08:34 alostale Fixed in Version => 3.0MP13


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker